Package csb :: Package bio :: Package fragments :: Class ResidueEventInfo

[frames] | no frames]

# Class ResidueEventInfo

source code

    object --+
             |
            ResidueEventInfo

Instance Methods

__init__(self, residue, confidence=0, count=0, confident=True, gap=False, rep=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| rank
| torsion
| type
Inherited from `object`: `__class__`

Method Details

### __init__(self, residue, confidence=0, count=0, confident=True, gap=False, rep=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### rank

Get Method:
  unreachable.rank(self)

### torsion

Get Method:
  unreachable.torsion(self)

### type

Get Method:
  unreachable.type(self)